using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace T.Buffs
{
	public class AntiGrav : ModBuff
	{
        static bool hasGrav = false;

        public override void Effects(NPC npc, int index)
        {
            if (!npc.noGravity)
            { 
                npc.noGravity = true;
                hasGrav = true;
            }
            npc.velocity.Y = -1;
            npc.velocity.X = 0;
        }
        public override void End(NPC npc, int index)
        {
            if (hasGrav) npc.noGravity = false;
        }
	}
}