﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace T.Projectiles
{
    class AntiGravBolt : ModProjectile
    {
        public override void AI()
        {
            Lighting.AddLight(projectile.position, Color.Purple);
            projectile.light = 1f;
            projectile.rotation += (float)projectile.direction * 10.5f;
            for (int num = 0; num < 16; num++)
            {
                int DustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 52, projectile.velocity.X, projectile.velocity.Y, 0, default(Color), 0.8f);
                Main.dust[DustID].noGravity = true;
                Main.dust[DustID].velocity *= 0.3f;
            }
        }
        public override void DealtNPC(NPC npc, int hitDir, int dmgDealt, float knockback, bool crit)
        {
            if (Main.rand.Next(4) == 0)
            {
                npc.AddBuff(BuffDef.byName["T:AntiGrav"], 240);
            }
        }
    }
}
