﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace T.Projectiles
{
    public class RhodiumBolt : ModProjectile
    {
        //Beautiful code by Sin Costan. Thanks :D
        public override void AI()
        {
            projectile.light = 0.5f;
            projectile.rotation += (float)projectile.direction * 10.5f;
            for (int num = 0; num < 5; num++)
            {
                int DustID = Dust.NewDust(projectile.position, projectile.width, projectile.height, 63, projectile.velocity.X, projectile.velocity.Y, 0, default(Color), 0.8f);
                Main.dust[DustID].noGravity = true;
                Main.dust[DustID].velocity *= 0.3f;
            }
        }
        public override void PostKill()
        {
            projectile.ai[0] += 1f;
            if (projectile.ai[0] <= 2f)
            {
                int p1 = Projectile.NewProjectile(projectile.position, new Vector2(0, 12), "T:RhodiumBolt", projectile.damage, projectile.knockBack, projectile.owner, projectile.ai[0], 0f);
                int p2 = Projectile.NewProjectile(projectile.position, new Vector2(0, -12), "T:RhodiumBolt", projectile.damage, projectile.knockBack, projectile.owner, projectile.ai[0], 0f);
                int p7 = Projectile.NewProjectile(projectile.position, new Vector2(12, 0), "T:RhodiumBolt", projectile.damage, projectile.knockBack, projectile.owner, projectile.ai[0], 0f);
                int p8 = Projectile.NewProjectile(projectile.position, new Vector2(-12, 0), "T:RhodiumBolt", projectile.damage, projectile.knockBack, projectile.owner, projectile.ai[0], 0f);
                Main.projectile[p1].scale *= 0.5f / projectile.ai[0];
                Main.projectile[p2].scale *= 0.5f / projectile.ai[0];;
                Main.projectile[p7].scale *= 0.5f / projectile.ai[0];
                Main.projectile[p8].scale *= 0.5f / projectile.ai[0];
            }
        }
    }
}
