﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace Terramineral
{
    [GlobalMod]
    class TNPC : ModNPC
    {
        public override void UpdateSpawnRate(Player player)
        {
            if (Terramineral.peaceMoon)
            {
                NPC.spawnRate += 1;
            }
            if (TPlayer.mazeTiles > 100)
            {
                NPC.maxSpawns += 20;
            }
        }
        public override List<int> EditSpawnPool(int x, int y, List<int> pool, Player player)
        {
            if (Terramineral.peaceMoon)
            {
                pool.Clear();
                List<int> list = new List<int>{ 46, 74, 355, 356, 362, 364 };
                pool.AddRange(list);
                return pool;
            }
            if (TPlayer.mazeTiles > 400 && (Main.tile[(int)player.position.X / 16, (int)player.position.Y / 16].wall == TileDef.wallByName["T:MazeWallBlue"] || Main.tile[(int)player.position.X / 16, (int)player.position.Y / 16].wall == TileDef.wallByName["T:MazeWallBlack"] || Main.tile[(int)player.position.X / 16, (int)player.position.Y / 16].wall == TileDef.wallByName["T:MazeWallPurple"]))
            { 
                pool.Clear();
                pool.Add(NPCDef.byName["T:MazeCrawlerWall"].type);
                return pool;
            }
            return pool;
        }
        public override void PostNPCLoot()
        {
            if (npc.type == 285 || npc.type == 286 || npc.type == 283 || npc.type == 284 || npc.type == 281 || npc.type == 282)
            {
                if (Main.rand.Next(2000) == 1453) //cos why not amaright
                {
                    Item.NewItem((int)npc.position.X, (int)npc.position.Y, npc.width / 2, npc.height / 2, ItemDef.byName["T:Anti-GravityCrystal"].type);
                }
            }
        }
    }
}
