﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace Terramineral
{
    public sealed class Maze : Biome
    {
        public const int minTile = 100;
        public Maze() 
            : base("T:Maze", new List<int>()
            {
            TileDef.byName["T:MazeBrickPurple"],
            TileDef.byName["T:MazeBrickBlack"],
            TileDef.byName["T:MazeBrickBlue"]
            }, Terramineral.IntList, minTile)
        {
        }
    }
}
