﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace T.NPCs
{
    class MazeCrawlerWall : ModNPC
    {
        public override bool CanSpawn(int x, int y, int type, Player spawnedOn)
        {
            if (Main.tile[x,y].wall > 0) return true;
            else return false;
        }
        public override void AI()
        {
            if (npc.target < 0 || npc.target == 255 || Main.player[npc.target].dead)
            {
                npc.TargetClosest(true);
            }
            float num658 = 2f;
            float num659 = 0.08f;
            Vector2 vector72 = new Vector2(npc.position.X + (float)npc.width * 0.5f, npc.position.Y + (float)npc.height * 0.5f);
            float num660 = Main.player[npc.target].position.X + (float)(Main.player[npc.target].width / 2);
            float num661 = Main.player[npc.target].position.Y + (float)(Main.player[npc.target].height / 2);
            num660 = (float)((int)(num660 / 8f) * 8);
            num661 = (float)((int)(num661 / 8f) * 8);
            vector72.X = (float)((int)(vector72.X / 8f) * 8);
            vector72.Y = (float)((int)(vector72.Y / 8f) * 8);
            num660 -= vector72.X;
            num661 -= vector72.Y;
            float num662 = (float)System.Math.Sqrt((double)(num660 * num660 + num661 * num661));
            if (num662 == 0f)
            {
                num660 = npc.velocity.X;
                num661 = npc.velocity.Y;
            }
            else
            {
                num662 = num658 / num662;
                num660 *= num662;
                num661 *= num662;
            }
            if (Main.player[npc.target].dead)
            {
                num660 = (float)npc.direction * num658 / 2f;
                num661 = -num658 / 2f;
            }
            npc.spriteDirection = -1;
            if (!Collision.CanHit(npc.position, npc.width, npc.height, Main.player[npc.target].position, Main.player[npc.target].width, Main.player[npc.target].height))
            {
                npc.ai[0] += 1f;
                if (npc.ai[0] > 0f)
                {
                    npc.velocity.Y = npc.velocity.Y + 0.023f;
                }
                else
                {
                    npc.velocity.Y = npc.velocity.Y - 0.023f;
                }
                if (npc.ai[0] < -100f || npc.ai[0] > 100f)
                {
                    npc.velocity.X = npc.velocity.X + 0.023f;
                }
                else
                {
                    npc.velocity.X = npc.velocity.X - 0.023f;
                }
                if (npc.ai[0] > 200f)
                {
                    npc.ai[0] = -200f;
                }
                npc.velocity.X = npc.velocity.X + num660 * 0.007f;
                npc.velocity.Y = npc.velocity.Y + num661 * 0.007f;
                npc.rotation = (float)System.Math.Atan2((double)npc.velocity.Y, (double)npc.velocity.X);
                if ((double)npc.velocity.X > 1.5)
                {
                    npc.velocity.X = npc.velocity.X * 0.9f;
                }
                if ((double)npc.velocity.X < -1.5)
                {
                    npc.velocity.X = npc.velocity.X * 0.9f;
                }
                if ((double)npc.velocity.Y > 1.5)
                {
                    npc.velocity.Y = npc.velocity.Y * 0.9f;
                }
                if ((double)npc.velocity.Y < -1.5)
                {
                    npc.velocity.Y = npc.velocity.Y * 0.9f;
                }
                if (npc.velocity.X > 3f)
                {
                    npc.velocity.X = 3f;
                }
                if (npc.velocity.X < -3f)
                {
                    npc.velocity.X = -3f;
                }
                if (npc.velocity.Y > 3f)
                {
                    npc.velocity.Y = 3f;
                }
                if (npc.velocity.Y < -3f)
                {
                    npc.velocity.Y = -3f;
                }
            }
            else
            {
                if (npc.velocity.X < num660)
                {
                    npc.velocity.X = npc.velocity.X + num659;
                    if (npc.velocity.X < 0f && num660 > 0f)
                    {
                        npc.velocity.X = npc.velocity.X + num659;
                    }
                }
                else if (npc.velocity.X > num660)
                {
                    npc.velocity.X = npc.velocity.X - num659;
                    if (npc.velocity.X > 0f && num660 < 0f)
                    {
                        npc.velocity.X = npc.velocity.X - num659;
                    }
                }
                if (npc.velocity.Y < num661)
                {
                    npc.velocity.Y = npc.velocity.Y + num659;
                    if (npc.velocity.Y < 0f && num661 > 0f)
                    {
                        npc.velocity.Y = npc.velocity.Y + num659;
                    }
                }
                else if (npc.velocity.Y > num661)
                {
                    npc.velocity.Y = npc.velocity.Y - num659;
                    if (npc.velocity.Y > 0f && num661 < 0f)
                    {
                        npc.velocity.Y = npc.velocity.Y - num659;
                    }
                }
                npc.rotation = (float)System.Math.Atan2((double)num661, (double)num660);
            }
            float num663 = 0.5f;
            if (npc.collideX)
            {
                npc.netUpdate = true;
                npc.velocity.X = npc.oldVelocity.X * -num663;
                if (npc.direction == -1 && npc.velocity.X > 0f && npc.velocity.X < 2f)
                {
                    npc.velocity.X = 2f;
                }
                if (npc.direction == 1 && npc.velocity.X < 0f && npc.velocity.X > -2f)
                {
                    npc.velocity.X = -2f;
                }
            }
            if (npc.collideY)
            {
                npc.netUpdate = true;
                npc.velocity.Y = npc.oldVelocity.Y * -num663;
                if (npc.velocity.Y > 0f && (double)npc.velocity.Y < 1.5)
                {
                    npc.velocity.Y = 2f;
                }
                if (npc.velocity.Y < 0f && (double)npc.velocity.Y > -1.5)
                {
                    npc.velocity.Y = -2f;
                }
            }
            if (((npc.velocity.X > 0f && npc.oldVelocity.X < 0f) || (npc.velocity.X < 0f && npc.oldVelocity.X > 0f) || (npc.velocity.Y > 0f && npc.oldVelocity.Y < 0f) || (npc.velocity.Y < 0f && npc.oldVelocity.Y > 0f)) && !npc.justHit)
            {
                npc.netUpdate = true;
            }
            if (Main.netMode == 1)
            {
                return;
            }
            int num664 = (int)npc.center().X / 16;
            int num665 = (int)npc.center().Y / 16;
            bool flag49 = false;
            for (int num666 = num664 - 1; num666 <= num664 + 1; num666++)
            {
                for (int num667 = num665 - 1; num667 <= num665 + 1; num667++)
                {
                    if (Main.tile[num666, num667] == null)
                    {
                        return;
                    }
                    if (Main.tile[num666, num667].wall > 0)
                    {
                        flag49 = true;
                    }
                }
            }
            if (flag49)
            {
                return;
            }
            npc.Transform(NPCDef.byName["T:MazeCrawlerFloor"].type);
            return;
        }
    }
}