﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

using TAPI;
using Terraria;

namespace Terramineral
{
    public class Terramineral : ModBase
    {
        public Terramineral() : base() { self = this; }
        public static Terramineral self = null;
        public static Biome Maze //not a biome but best way to count the nearby blocks
        {
            get;
            private set;
        }
        public static bool peaceMoon = false;
        Texture2D oldMoon0;
        Texture2D oldMoon1;
        Texture2D oldMoon2;
        public readonly static List<int> IntList = new List<int>();

        public override void OnLoad()
        {
            oldMoon0 = Main.moonTexture[0];
            oldMoon1 = Main.moonTexture[1];
            oldMoon2 = Main.moonTexture[2];
            (Maze = new Maze()).AddToGame();
        }

        public override void PreGameUpdate()
        {
            if (Main.dayTime && (bool)self.options["peaceMoon"].Value)
            {
                if (Main.time >= 54000.0)
                {
                    if (Main.rand.Next(40) == 0)
                    {
                        peaceMoon = true;
                        Main.bloodMoon = false;
                        Main.moonTexture[0] = Main.goreTexture[GoreDef.gores["T:PeaceMoon"]];
                        Main.moonTexture[1] = Main.goreTexture[GoreDef.gores["T:PeaceMoon"]];
                        Main.moonTexture[2] = Main.goreTexture[GoreDef.gores["T:PeaceMoon"]];
                    }
                }
                else
                {
                    Main.moonTexture[0] = oldMoon0;
                    Main.moonTexture[1] = oldMoon1;
                    Main.moonTexture[2] = oldMoon2;
                    /*If you want to know how this works (thanks for looking at my code!)
                     
                        Basically, The Main class contains lots of texture variables. You can edit, for example, a tile texture via Main.tileTexture[tileID] 
                        So, I'm editing moons 0, 1 and 2's textures with textures from the gores folder (as they don't need a .json).
                        Main.time. When it's at 54000, it switches to night and resets to 0. Every now and then, it will hit exactly 54000 or go slightly over before it's
                        reset. When it does that, it has a 1 in 4 chance of a peace moon happening.
                     
                        The rest is elsewhere in my code, some in TNPC and some in TPlayer.
                        */
                    peaceMoon = false;
                }
            }
        }
    }
}
